# $Revision: 1.36 $, $Date: 2010/04/22 11:43:39 $
%define	_hordeapp whups
#
%include	/usr/lib/rpm/macros.php
Summary:	The Web Horde User Problem Solver
Summary(pl.UTF-8):	Narzędzie WWW do rozwiązywania problemów dla Horde
Name:		horde-%{_hordeapp}
Version:	1.0.1
Release:	1
License:	BSD
Group:		Applications/WWW
Source0:	ftp://ftp.horde.org/pub/whups/%{_hordeapp}-h3-%{version}.tar.gz
# Source0-md5:	3becdec5bcf99292d68780cc741e44ad
Source1:	%{_hordeapp}.conf
URL:		http://www.horde.org/whups/
BuildRequires:	rpm-php-pearprov >= 4.0.2-98
BuildRequires:	rpmbuild(macros) >= 1.268
Requires:	horde >= 3.2
Requires:	webapps
Obsoletes:	whups
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq	'pear(Horde.*)' 'pear(Text/Flowed.php)'

%define		hordedir	/usr/share/horde
%define		_appdir		%{hordedir}/%{_hordeapp}
%define		_webapps	/etc/webapps
%define		_webapp		horde-%{_hordeapp}
%define		_sysconfdir	%{_webapps}/%{_webapp}

%description
Whups is Horde's bug tracking/ticketing system. It is designed to be
extremely flexible in letting users define kinds of tickets, different
lifecycles (sets of states) and priorities for each kind of ticket,
and mixing types of tickets into sets of queues. This design allows
for very general and sophisticated multi-purpose uses of Whups. The
code is near 1.0 quality and most features are fully implemented at
this time.

%description -l pl.UTF-8
Whups to system śledzienia błędów/zgłoszeń dla Horde. Jest
zaprojektowany tak, by być skrajnie elastycznym, pozwalając
użytkownikom definiować rodzaje zgłoszeń, różne cykle życia (zbiory
stanów) i priorytety dla każdego rodzaju zgłoszenia, a także łączyć
rodzaje zgłoszeń w zbiory kolejek. Taki sposób zaprojektowania pozwala
na bardzo ogólne i wymyśle sposoby wykorzystania Whups do wielu celów.
Kod osiągnął prawie jakość 1.0 i większość możliwości jest już w pełni
zaimplementowana.

%prep
%setup -q -n %{_hordeapp}-h3-%{version}

rm -f {,*/}.htaccess
for i in config/*.dist; do
	mv $i config/$(basename $i .dist)
done

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{_appdir}/docs}

cp -a *.php $RPM_BUILD_ROOT%{_appdir}
cp -a config/* $RPM_BUILD_ROOT%{_sysconfdir}
echo '<?php ?>' > $RPM_BUILD_ROOT%{_sysconfdir}/conf.php
touch $RPM_BUILD_ROOT%{_sysconfdir}/conf.php.bak
cp -a admin lib locale query queue search templates themes ticket $RPM_BUILD_ROOT%{_appdir}
cp -a docs/CREDITS $RPM_BUILD_ROOT%{_appdir}/docs

ln -s %{_sysconfdir} $RPM_BUILD_ROOT%{_appdir}/config
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/apache.conf
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/httpd.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ ! -f %{_sysconfdir}/conf.php.bak ]; then
	install /dev/null -o root -g http -m660 %{_sysconfdir}/conf.php.bak
fi

if [ "$1" = 1 ]; then
%banner %{name} -e <<EOF
IMPORTANT:
If You are installing Whups for the first time, You may need to
create the database tables. Look into directory
%{_docdir}/%{name}-%{version}/scripts/sql
to find out how to do this for your database.

EOF
fi

%triggerin -- apache1 < 1.3.37-3, apache1-base
%webapp_register apache %{_webapp}

%triggerun -- apache1 < 1.3.37-3, apache1-base
%webapp_unregister apache %{_webapp}

%triggerin -- apache < 2.2.0, apache-base
%webapp_register httpd %{_webapp}

%triggerun -- apache < 2.2.0, apache-base
%webapp_unregister httpd %{_webapp}

%triggerpostun -- horde-%{_hordeapp} < 1.0-0.20050917.0.3, %{_hordeapp}
for i in conf.php menu.php mime_drivers.php prefs.php reminders.php templates.php; do
	if [ -f /etc/horde.org/%{_hordeapp}/$i.rpmsave ]; then
		mv -f %{_sysconfdir}/$i{,.rpmnew}
		mv -f /etc/horde.org/%{_hordeapp}/$i.rpmsave %{_sysconfdir}/$i
	fi
done

if [ -f /etc/horde.org/apache-%{_hordeapp}.conf.rpmsave ]; then
	mv -f %{_sysconfdir}/apache.conf{,.rpmnew}
	mv -f %{_sysconfdir}/httpd.conf{,.rpmnew}
	cp -f /etc/horde.org/apache-%{_hordeapp}.conf.rpmsave %{_sysconfdir}/apache.conf
	cp -f /etc/horde.org/apache-%{_hordeapp}.conf.rpmsave %{_sysconfdir}/httpd.conf
fi

if [ -L /etc/apache/conf.d/99_horde-%{_hordeapp}.conf ]; then
	/usr/sbin/webapp register apache %{_webapp}
	rm -f /etc/apache/conf.d/99_horde-%{_hordeapp}.conf
	%service -q apache reload
fi
if [ -L /etc/httpd/httpd.conf/99_horde-%{_hordeapp}.conf ]; then
	/usr/sbin/webapp register httpd %{_webapp}
	rm -f /etc/httpd/httpd.conf/99_horde-%{_hordeapp}.conf
	%service -q httpd reload
fi

%files
%defattr(644,root,root,755)
%doc LICENSE README docs/* scripts
%dir %attr(750,root,http) %{_sysconfdir}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/apache.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/httpd.conf
%attr(660,root,http) %config(noreplace) %{_sysconfdir}/conf.php
%attr(660,root,http) %config(noreplace) %ghost %{_sysconfdir}/conf.php.bak
%attr(640,root,http) %config(noreplace) %{_sysconfdir}/[!c]*.php
%attr(640,root,http) %{_sysconfdir}/conf.xml
%attr(660,root,http) %config(noreplace) %{_sysconfdir}/*.txt

%dir %{_appdir}
%{_appdir}/*.php
%{_appdir}/admin
%{_appdir}/config
%{_appdir}/docs
%{_appdir}/lib
%{_appdir}/locale
%{_appdir}/query
%{_appdir}/queue
%{_appdir}/search
%{_appdir}/templates
%{_appdir}/themes
%{_appdir}/ticket

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: horde-whups.spec,v $
Revision 1.36  2010/04/22 11:43:39  baggins
- 1.0.1

Revision 1.35  2008/10/11 04:49:43  qboosh
- no macro in Obsoletes

Revision 1.34  2008/10/11 00:04:33  baggins
- rel 2

Revision 1.33  2008/10/10 17:20:45  baggins
- rel 1
- added new dirs and config files

Revision 1.32  2008/10/09 22:53:07  glen
- BR tar was due --strip-components= arg, now that's gone no need for versioned dep

Revision 1.31  2008/10/09 22:44:57  baggins
- use correct dir name in setup

Revision 1.30  2008/10/09 22:17:03  baggins
- just copy CREDITS where horde wants it, instead of making a symlink
  (possibly pointing to nothingnes if package is installed with --excludedocs)

Revision 1.29  2008/10/09 21:53:03  baggins
- up to 1.0
- removed unreadable tangle of macros and ugly hacks

Revision 1.28  2007/03/15 16:52:03  paszczus
- updated to 2007-03-15

Revision 1.27  2007/02/13 07:47:11  glen
- tabs in preamble

Revision 1.26  2007/02/12 00:48:55  baggins
- converted to UTF-8

Revision 1.25  2006/11/26 15:56:07  glen
- php virtual extension deps

Revision 1.24  2006/09/29 21:25:58  glen
- update webapp triggers due apache1 package split

Revision 1.23  2006/02/14 20:12:09  glen
- drop apache specific requires
- cosmetics

Revision 1.22  2006/02/14 19:59:48  glen
- unify (%verify attrs for webserver configs)

Revision 1.21  2006/02/02 15:14:49  glen
- update apache2 trigger to match apache-base in case somebody decides not to
  use apache2.2 virtual pkg (freedom of choice one of the pld mottos)

Revision 1.20  2006/01/08 22:54:11  glen
- updated to 2006-01-08

Revision 1.19  2006/01/08 20:28:27  glen
- use %service in triggers
- trigger also on old package name

Revision 1.18  2005/12/02 17:57:44  glen
- proper build macros

Revision 1.17  2005/11/30 22:32:13  glen
- simplify and unify

Revision 1.16  2005/11/30 21:21:19  glen
- unify

Revision 1.15  2005/11/30 12:50:45  glen
- conf.xml is not %config(noreplace) so it should not be rescued in trigger

Revision 1.14  2005/11/30 12:48:29  glen
- use webapps framework

Revision 1.13  2005/11/16 14:17:51  glen
- unified apache virtual requires

Revision 1.12  2005/09/17 16:27:33  glen
- renamed horde application packages with horde- prefix

Revision 1.11  2005/09/17 16:09:23  glen
- Whups caps

Revision 1.10  2005/09/17 15:21:50  glen
- unify

Revision 1.9  2005/09/17 12:01:58  glen
- up to 2005-09-17 snap, use %{_hordeapp} macro

Revision 1.8  2005/07/20 22:07:56  glen
- use apache config triggers

Revision 1.7  2005/05/09 17:12:10  glen
- 2005-05-09 snap
- License BSD (according to http://unix.freshmeat.net/projects/whups/)
- Group: Applications/WWW

Revision 1.6  2005/03/06 09:58:57  glen
- strict apache module require

Revision 1.5  2005/03/05 21:12:05  qboosh
- pl

Revision 1.4  2005/03/05 18:27:08  ankry
- spaces -> tabs

Revision 1.3  2005/03/04 21:02:57  glen
- fix NoSource

Revision 1.2  2005/03/04 20:06:09  glen
- description correction

Revision 1.1  2005/03/04 19:32:56  glen
- another horde application
